Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] ell: update to 0.37.
@ 2021-02-04 18:24 ericonr
  2021-02-04 18:29 ` [PR PATCH] [Updated] " ericonr
                   ` (25 more replies)
  0 siblings, 26 replies; 27+ messages in thread
From: ericonr @ 2021-02-04 18:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1578 bytes --]

There is a new pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

ell: update to 0.37.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 998 bytes --]

From 50ed1a315441bb64ae964c665ee6845301b61c47 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH] ell: update to 0.37.

---
 srcpkgs/ell/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index a221184180e..83e5c874a96 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,6 @@
 # Template file for 'ell'
 pkgname=ell
-version=0.36
+version=0.37
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,7 +12,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=30027a2043bbe2faca7849946bb2ed7d5e48c1b9d2638bfa8f5fdef3093c4784
 
 do_check() {
 	if [ "$XBPS_CHECK_PKGS" = full]; then

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Updated] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
@ 2021-02-04 18:29 ` ericonr
  2021-02-04 18:49 ` [NOMERGE] nell: " ericonr
                   ` (24 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-04 18:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1583 bytes --]

There is an updated pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

ell: update to 0.37.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 1132 bytes --]

From a36d3882b9c92c18d3513f48d1d0d675ddfefaa3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH] ell: update to 0.37.

Also fix tests.
---
 srcpkgs/ell/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index a221184180e..4acc18b3927 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,6 @@
 # Template file for 'ell'
 pkgname=ell
-version=0.36
+version=0.37
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,10 +12,10 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=30027a2043bbe2faca7849946bb2ed7d5e48c1b9d2638bfa8f5fdef3093c4784
 
 do_check() {
-	if [ "$XBPS_CHECK_PKGS" = full]; then
+	if [ "$XBPS_CHECK_PKGS" = full ]; then
 		# tests depend on kernel features
 		dbus-run-session make check
 	fi

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] nell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
  2021-02-04 18:29 ` [PR PATCH] [Updated] " ericonr
@ 2021-02-04 18:49 ` ericonr
  2021-02-04 18:58 ` ericonr
                   ` (23 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-04 18:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 161 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773527863

Comment:
Welp, they broke ABI

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] nell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
  2021-02-04 18:29 ` [PR PATCH] [Updated] " ericonr
  2021-02-04 18:49 ` [NOMERGE] nell: " ericonr
@ 2021-02-04 18:58 ` ericonr
  2021-02-05  2:00 ` [NOMERGE] ell: " sgn
                   ` (22 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-04 18:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 340 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773533010

Comment:
Should wait on IWD 1.12. I'm considering moving it to use built-in ELL to avoid ABI/API mismatches (IWD 1.11 won't even build with this one).

@sgn what do you think about doing the same for bluez?

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (2 preceding siblings ...)
  2021-02-04 18:58 ` ericonr
@ 2021-02-05  2:00 ` sgn
  2021-02-05  2:06 ` ericonr
                   ` (21 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-02-05  2:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 223 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773728256

Comment:
I'm expecting new release of bluez soon. In my experience, ell don't break that often.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (3 preceding siblings ...)
  2021-02-05  2:00 ` [NOMERGE] ell: " sgn
@ 2021-02-05  2:06 ` ericonr
  2021-02-05  2:06 ` ericonr
                   ` (20 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-05  2:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 406 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773730682

Comment:
From what I understand, most of the time the releases come out near each other, ell, bluez and IWD. But since they are so tied to a specific IWD version, I'm not sure we gain much by using the dynamic library... It's tiny and helps avoid weird compatibility issues.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (4 preceding siblings ...)
  2021-02-05  2:06 ` ericonr
@ 2021-02-05  2:06 ` ericonr
  2021-02-05  2:06 ` ericonr
                   ` (19 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-05  2:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 405 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773730682

Comment:
From what I understand, most of the time the releases come out near each other, ell, bluez and IWD. But since they are so tied to a specific ll version, I'm not sure we gain much by using the dynamic library... It's tiny and helps avoid weird compatibility issues.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (5 preceding siblings ...)
  2021-02-05  2:06 ` ericonr
@ 2021-02-05  2:06 ` ericonr
  2021-02-05  2:07 ` ericonr
                   ` (18 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-05  2:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 427 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773730682

Comment:
From what I understand, most of the time the releases come out near each other, ell, bluez and IWD. But since they are so tied to a specific ll version, I'm not sure we gain much by using the dynamic library... It's tiny and using the bundled one helps avoid weird compatibility issues.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (6 preceding siblings ...)
  2021-02-05  2:06 ` ericonr
@ 2021-02-05  2:07 ` ericonr
  2021-02-05  2:07 ` ericonr
                   ` (17 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-05  2:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 527 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773730682

Comment:
From what I understand, most of the time the releases come out near each other, ell, bluez and IWD. But since they are so tied to a specific ll version, I'm not sure we gain much by using the dynamic library... It's tiny and using the bundled one helps avoid weird compatibility issues.

Since I'd consider wireless generally more essential than bt, we could link only IWD statically.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (7 preceding siblings ...)
  2021-02-05  2:07 ` ericonr
@ 2021-02-05  2:07 ` ericonr
  2021-02-05  2:11 ` sgn
                   ` (16 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-05  2:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 541 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773730682

Comment:
From what I understand, most of the time the releases come out near each other, ell, bluez and IWD. But since they are so tied to a specific ll version, I'm not sure we gain much by using the dynamic library... It's tiny and using the bundled one helps avoid weird compatibility issues.

Since I'd consider wireless generally more essential than bt, we could link only IWD with the bundled version.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (8 preceding siblings ...)
  2021-02-05  2:07 ` ericonr
@ 2021-02-05  2:11 ` sgn
  2021-02-05  2:13 ` sgn
                   ` (15 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-02-05  2:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 247 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773732457

Comment:
Seems like Debian (which wants to dynamic link the most) also uses bundled version. I think it should be fine.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (9 preceding siblings ...)
  2021-02-05  2:11 ` sgn
@ 2021-02-05  2:13 ` sgn
  2021-02-26 20:23 ` [PR PATCH] [Updated] " ericonr
                   ` (14 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-02-05  2:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 298 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-773732457

Comment:
Seems like Debian (which wants to dynamic link the most) also uses bundled version for iwd. I think it should be fine.
They uses external ell for bluez, though.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Updated] [NOMERGE] ell: update to 0.37.
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (10 preceding siblings ...)
  2021-02-05  2:13 ` sgn
@ 2021-02-26 20:23 ` ericonr
  2021-02-27  0:15 ` iwd 1.12 ell 0.38 bluez 5.56 sgn
                   ` (13 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-02-26 20:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1593 bytes --]

There is an updated pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

[NOMERGE] ell: update to 0.37.
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 5102 bytes --]

From 001a2122525b928fec2fae63bb6393fa535cea36 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:09:43 -0300
Subject: [PATCH 1/4] iwd: update to 1.12.

Don't use external ell anymore:
- ABI isn't stable
- makes updating harder if bluez and IWD depend on different versions of ell
---
 srcpkgs/iwd/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/iwd/template b/srcpkgs/iwd/template
index d3a413da37b..3274f358eed 100644
--- a/srcpkgs/iwd/template
+++ b/srcpkgs/iwd/template
@@ -1,13 +1,13 @@
 # Template file for 'iwd'
 pkgname=iwd
-version=1.11
+version=1.12
 revision=1
 build_style=gnu-configure
 configure_args="--disable-systemd-service --enable-pie
- --enable-external-ell --enable-dbus-policy --enable-wired"
+ --enable-dbus-policy --enable-wired"
 hostmakedepends="python3-docutils pkg-config"
-makedepends="readline-devel dbus-devel ell-devel"
-depends="dbus ell>=0.36"
+makedepends="readline-devel dbus-devel"
+depends="dbus"
 checkdepends="python3 $depends"
 short_desc="Internet Wireless Daemon by Intel that aims to replace wpa_supplicant"
 maintainer="Érico Nogueira <ericonr@disroot.org>"
@@ -15,7 +15,7 @@ license="LGPL-2.1-or-later"
 homepage="https://iwd.wiki.kernel.org/"
 changelog="https://git.kernel.org/pub/scm/network/wireless/iwd.git/plain/ChangeLog"
 distfiles="${KERNEL_SITE}/network/wireless/${pkgname}-${version}.tar.xz"
-checksum=db854f569cfa94dc32120d8cf2e7d483a16679f238e1a4794837d0e455ea7aa9
+checksum=4238c394d35ee6e99291009424d5530183aa5367c6f4f5349a95a56c5c94a211
 make_dirs="/var/lib/iwd 0600 root root
  /var/lib/ead 0600 root root
  /etc/iwd 755 root root"

From 8225870944994aa87951e10cbe376b042cec90db Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH 2/4] ell: update to 0.38.

Add warnings about ABI stability.
---
 common/shlibs        | 2 +-
 srcpkgs/ell/template | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index b016d28f788..c36abb5b15d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -983,7 +983,7 @@ libgsm.so.1 libgsm-1.0.13_13
 libcgroup.so.1 libcgroup-0.37.1_1
 libxdg-basedir.so.1 libxdg-basedir-1.1.1_1
 libev.so.4 libev-4.04_1
-libell.so.0 ell-0.20_1
+libell.so.0 ell-0.38_1
 libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index 19634a337aa..1b2f19806d2 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,7 @@
 # Template file for 'ell'
+# ell ABI isn't stable! Always test dependants after updates and update common/shlibs
 pkgname=ell
-version=0.36
+version=0.38
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,7 +13,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=c1b7ae5676eec310f08757b3d8652b8e818776be1897fb5deb59e55f02a012a7
 # tests depend on kernel features
 make_check=extended
 

From 469380d25b7abceebf67c953f473cf8649e7bd4a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:43 -0300
Subject: [PATCH 3/4] bluez: update to 5.56.

---
 srcpkgs/bluez/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/bluez/template b/srcpkgs/bluez/template
index 80fcf51c85a..4021bb3ba4b 100644
--- a/srcpkgs/bluez/template
+++ b/srcpkgs/bluez/template
@@ -1,6 +1,6 @@
 # Template file for 'bluez'
 pkgname=bluez
-version=5.55
+version=5.56
 revision=1
 build_style=gnu-configure
 configure_args="--with-udevdir=/usr/lib/udev --disable-systemd
@@ -14,7 +14,7 @@ maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="http://www.bluez.org/"
 distfiles="${KERNEL_SITE}/bluetooth/$pkgname-$version.tar.xz"
-checksum=8863717113c4897e2ad3271fc808ea245319e6fd95eed2e934fae8e0894e9b88
+checksum=59c4dba9fc8aae2a6a5f8f12f19bc1b0c2dc27355c7ca3123eed3fe6bd7d0b9d
 conf_files="/etc/bluetooth/main.conf"
 system_groups="bluetooth"
 build_options="mesh nfc"

From 0a9c2bd66e1563c4734463727a44e1f772db4987 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:50 -0300
Subject: [PATCH 4/4] ofono: revbump for ell.

---
 srcpkgs/ofono/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ofono/template b/srcpkgs/ofono/template
index 16695994583..248e58d9502 100644
--- a/srcpkgs/ofono/template
+++ b/srcpkgs/ofono/template
@@ -1,7 +1,7 @@
 # Template file for 'ofono'
 pkgname=ofono
 version=1.31
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-bluez4 --enable-external-ell"
 conf_files="/etc/ofono/phonesim.conf /etc/dbus-1/system.d/ofono.conf"

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: iwd 1.12 ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (11 preceding siblings ...)
  2021-02-26 20:23 ` [PR PATCH] [Updated] " ericonr
@ 2021-02-27  0:15 ` sgn
  2021-03-01 15:07 ` sgn
                   ` (12 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-02-27  0:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 217 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-786961433

Comment:
BlueZ: hold for a bit https://marc.info/?l=linux-bluetooth&m=161437459815658&w=2

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: iwd 1.12 ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (12 preceding siblings ...)
  2021-02-27  0:15 ` iwd 1.12 ell 0.38 bluez 5.56 sgn
@ 2021-03-01 15:07 ` sgn
  2021-03-01 15:09 ` sgn
                   ` (11 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-03-01 15:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 267 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-788020344

Comment:
I would say switch BlueZ to vendor ell for now (if bluez failed to build from source with new ell) and push ell and iwd out first.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: iwd 1.12 ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (13 preceding siblings ...)
  2021-03-01 15:07 ` sgn
@ 2021-03-01 15:09 ` sgn
  2021-03-01 18:25 ` ericonr
                   ` (10 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: sgn @ 2021-03-01 15:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 311 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-788020344

Comment:
I would say switch BlueZ to vendor ell for now (if bluez failed to build from source with new ell) and push ell and iwd out first.

---
BlueZ 5.55 built fine with new ell?

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: iwd 1.12 ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (14 preceding siblings ...)
  2021-03-01 15:09 ` sgn
@ 2021-03-01 18:25 ` ericonr
  2021-03-11 20:48 ` [PR PATCH] [Updated] " ericonr
                   ` (9 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-03-01 18:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 277 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-788167470

Comment:
> BlueZ 5.55 built fine with new ell?

I didn't check. But now that IWD is using bundled ell, I can hold the ell update without issue.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Updated] iwd 1.12 ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (15 preceding siblings ...)
  2021-03-01 18:25 ` ericonr
@ 2021-03-11 20:48 ` ericonr
  2021-03-11 20:49 ` ericonr
                   ` (8 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-03-11 20:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1591 bytes --]

There is an updated pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

iwd 1.12 ell 0.38 bluez 5.56
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 3400 bytes --]

From da900407959b368139e146da9845546aa4d3946a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH 1/3] ell: update to 0.38.

Add warnings about ABI stability.
---
 common/shlibs        | 2 +-
 srcpkgs/ell/template | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 42f37d8a08b..8ae3931ab65 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1005,7 +1005,7 @@ libgsm.so.1 libgsm-1.0.13_13
 libcgroup.so.1 libcgroup-0.37.1_1
 libxdg-basedir.so.1 libxdg-basedir-1.1.1_1
 libev.so.4 libev-4.04_1
-libell.so.0 ell-0.20_1
+libell.so.0 ell-0.38_1
 libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index 19634a337aa..1b2f19806d2 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,7 @@
 # Template file for 'ell'
+# ell ABI isn't stable! Always test dependants after updates and update common/shlibs
 pkgname=ell
-version=0.36
+version=0.38
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,7 +13,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=c1b7ae5676eec310f08757b3d8652b8e818776be1897fb5deb59e55f02a012a7
 # tests depend on kernel features
 make_check=extended
 

From 7de664cc37a8bca3dcf9e33b8c18b3013708a609 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:43 -0300
Subject: [PATCH 2/3] bluez: update to 5.56.

---
 srcpkgs/bluez/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/bluez/template b/srcpkgs/bluez/template
index 80fcf51c85a..4021bb3ba4b 100644
--- a/srcpkgs/bluez/template
+++ b/srcpkgs/bluez/template
@@ -1,6 +1,6 @@
 # Template file for 'bluez'
 pkgname=bluez
-version=5.55
+version=5.56
 revision=1
 build_style=gnu-configure
 configure_args="--with-udevdir=/usr/lib/udev --disable-systemd
@@ -14,7 +14,7 @@ maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="http://www.bluez.org/"
 distfiles="${KERNEL_SITE}/bluetooth/$pkgname-$version.tar.xz"
-checksum=8863717113c4897e2ad3271fc808ea245319e6fd95eed2e934fae8e0894e9b88
+checksum=59c4dba9fc8aae2a6a5f8f12f19bc1b0c2dc27355c7ca3123eed3fe6bd7d0b9d
 conf_files="/etc/bluetooth/main.conf"
 system_groups="bluetooth"
 build_options="mesh nfc"

From 6715d8506c3dc32a0fee392a696f4fa85449c789 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:50 -0300
Subject: [PATCH 3/3] ofono: revbump for ell.

---
 srcpkgs/ofono/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ofono/template b/srcpkgs/ofono/template
index 16695994583..248e58d9502 100644
--- a/srcpkgs/ofono/template
+++ b/srcpkgs/ofono/template
@@ -1,7 +1,7 @@
 # Template file for 'ofono'
 pkgname=ofono
 version=1.31
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-bluez4 --enable-external-ell"
 conf_files="/etc/ofono/phonesim.conf /etc/dbus-1/system.d/ofono.conf"

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (16 preceding siblings ...)
  2021-03-11 20:48 ` [PR PATCH] [Updated] " ericonr
@ 2021-03-11 20:49 ` ericonr
  2021-04-07 14:00 ` paper42
                   ` (7 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-03-11 20:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 188 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-797039500

Comment:
This PR is now exclusively about ell and bluez.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (17 preceding siblings ...)
  2021-03-11 20:49 ` ericonr
@ 2021-04-07 14:00 ` paper42
  2021-04-07 14:15 ` paper42
                   ` (6 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: paper42 @ 2021-04-07 14:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 308 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-814938942

Comment:
bluez 5.57 and 5.58 are out. They fix an issue in 5.56 where bluetooth headphones could connect with HSP instead of SBC/AptX etc. which meant really bad sound quality.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (18 preceding siblings ...)
  2021-04-07 14:00 ` paper42
@ 2021-04-07 14:15 ` paper42
  2021-04-07 15:46 ` [PR PATCH] [Updated] " ericonr
                   ` (5 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: paper42 @ 2021-04-07 14:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 541 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-814950478

Comment:
* 5.58 requires ell 0.39
* using `-n` flag in the service means that bluetoothd logs to stdout, could you add logging to the service? What's the policy about logging in services in Void? When should they be included in the package?
* could you add --enable-experimental flag to bluez as a build option? (disabled by default) This option should enable monitoring battery level with a dbus interface.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Updated] ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (19 preceding siblings ...)
  2021-04-07 14:15 ` paper42
@ 2021-04-07 15:46 ` ericonr
  2021-04-07 15:47 ` ericonr
                   ` (4 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-04-07 15:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1582 bytes --]

There is an updated pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

ell 0.38 bluez 5.56
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 5855 bytes --]

From e7075b9bddbd1ed54bed457d708f9cf39dd1155a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH 1/3] ell: update to 0.39.

Add warnings about ABI stability.
---
 common/shlibs        | 2 +-
 srcpkgs/ell/template | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 42f37d8a08bc..8ae3931ab654 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1005,7 +1005,7 @@ libgsm.so.1 libgsm-1.0.13_13
 libcgroup.so.1 libcgroup-0.37.1_1
 libxdg-basedir.so.1 libxdg-basedir-1.1.1_1
 libev.so.4 libev-4.04_1
-libell.so.0 ell-0.20_1
+libell.so.0 ell-0.38_1
 libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index 19634a337aa0..9c798a84e8ae 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,7 @@
 # Template file for 'ell'
+# ell ABI isn't stable! Always test dependants after updates and update common/shlibs
 pkgname=ell
-version=0.36
+version=0.39
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,7 +13,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=653e2e139e23ed31e03c56c05f15321a9e818e2dca00a315c18d2c7b72f15d08
 # tests depend on kernel features
 make_check=extended
 

From 003dcc9731a0cfc010f8044972e933cae2bc3b39 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:50 -0300
Subject: [PATCH 2/3] ofono: revbump for ell.

---
 srcpkgs/ofono/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ofono/template b/srcpkgs/ofono/template
index 16695994583a..248e58d9502d 100644
--- a/srcpkgs/ofono/template
+++ b/srcpkgs/ofono/template
@@ -1,7 +1,7 @@
 # Template file for 'ofono'
 pkgname=ofono
 version=1.31
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-bluez4 --enable-external-ell"
 conf_files="/etc/ofono/phonesim.conf /etc/dbus-1/system.d/ofono.conf"

From ec33fdd8613dec2e7f5a70cb0e9835720a340379 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:43 -0300
Subject: [PATCH 3/3] bluez: update to 5.58.

Requested by paper42:
- add logging to services
- add experimental build option
---
 srcpkgs/bluez/files/bluetooth-meshd/log/run |  1 +
 srcpkgs/bluez/files/bluetooth-meshd/run     |  3 ++-
 srcpkgs/bluez/files/bluetoothd/log/run      |  1 +
 srcpkgs/bluez/files/bluetoothd/run          |  3 ++-
 srcpkgs/bluez/template                      | 12 +++++++-----
 5 files changed, 13 insertions(+), 7 deletions(-)
 create mode 120000 srcpkgs/bluez/files/bluetooth-meshd/log/run
 create mode 120000 srcpkgs/bluez/files/bluetoothd/log/run

diff --git a/srcpkgs/bluez/files/bluetooth-meshd/log/run b/srcpkgs/bluez/files/bluetooth-meshd/log/run
new file mode 120000
index 000000000000..3a5b4a586051
--- /dev/null
+++ b/srcpkgs/bluez/files/bluetooth-meshd/log/run
@@ -0,0 +1 @@
+/usr/bin/vlogger
\ No newline at end of file
diff --git a/srcpkgs/bluez/files/bluetooth-meshd/run b/srcpkgs/bluez/files/bluetooth-meshd/run
index 752dbcc37bf7..2594d5fe56e4 100755
--- a/srcpkgs/bluez/files/bluetooth-meshd/run
+++ b/srcpkgs/bluez/files/bluetooth-meshd/run
@@ -1,3 +1,4 @@
 #!/bin/sh
 sv check dbus >/dev/null || exit 1
-exec /usr/libexec/bluetooth/bluetooth-meshd --nodetach >/dev/null
+exec 2>&1
+exec /usr/libexec/bluetooth/bluetooth-meshd --nodetach
diff --git a/srcpkgs/bluez/files/bluetoothd/log/run b/srcpkgs/bluez/files/bluetoothd/log/run
new file mode 120000
index 000000000000..3a5b4a586051
--- /dev/null
+++ b/srcpkgs/bluez/files/bluetoothd/log/run
@@ -0,0 +1 @@
+/usr/bin/vlogger
\ No newline at end of file
diff --git a/srcpkgs/bluez/files/bluetoothd/run b/srcpkgs/bluez/files/bluetoothd/run
index 2b96adcdcdc6..860fa4bf80b3 100755
--- a/srcpkgs/bluez/files/bluetoothd/run
+++ b/srcpkgs/bluez/files/bluetoothd/run
@@ -1,3 +1,4 @@
 #!/bin/sh
 sv check dbus >/dev/null || exit 1
-exec /usr/libexec/bluetooth/bluetoothd -n >/dev/null
+exec 2>&1
+exec /usr/libexec/bluetooth/bluetoothd -n
diff --git a/srcpkgs/bluez/template b/srcpkgs/bluez/template
index 80fcf51c85a0..2130b7340580 100644
--- a/srcpkgs/bluez/template
+++ b/srcpkgs/bluez/template
@@ -1,11 +1,12 @@
 # Template file for 'bluez'
 pkgname=bluez
-version=5.55
+version=5.58
 revision=1
 build_style=gnu-configure
 configure_args="--with-udevdir=/usr/lib/udev --disable-systemd
  --enable-sixaxis --enable-threads --enable-library --enable-deprecated
- --enable-external-ell $(vopt_enable mesh) $(vopt_enable nfc)"
+ --enable-external-ell $(vopt_enable mesh) $(vopt_enable nfc)
+ $(vopt_enable experimental)"
 hostmakedepends="automake flex libtool pkg-config"
 makedepends="cups-devel eudev-libudev-devel libglib-devel libical-devel
  readline-devel ell-devel $(vopt_if mesh json-c-devel)"
@@ -14,19 +15,20 @@ maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="http://www.bluez.org/"
 distfiles="${KERNEL_SITE}/bluetooth/$pkgname-$version.tar.xz"
-checksum=8863717113c4897e2ad3271fc808ea245319e6fd95eed2e934fae8e0894e9b88
+checksum=c8065e75a5eb67236849ef68a354b1700540305a8c88ef0a0fd6288f19daf1f1
 conf_files="/etc/bluetooth/main.conf"
 system_groups="bluetooth"
-build_options="mesh nfc"
 patch_args="-Np1"
 
+build_options="mesh nfc experimental"
+
 if [ "$XBPS_TARGET_LIBC" = musl ]; then
 	makedepends+=" musl-legacy-compat"
 fi
 
 post_patch() {
 	# Use system ell
-	rm -rf ell/*
+	rm -r ell/*
 }
 
 pre_configure() {

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (20 preceding siblings ...)
  2021-04-07 15:46 ` [PR PATCH] [Updated] " ericonr
@ 2021-04-07 15:47 ` ericonr
  2021-04-07 15:47 ` [PR PATCH] [Updated] " ericonr
                   ` (3 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-04-07 15:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 223 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-815021565

Comment:
@paper42 I have pushed an updated version of the PR, could you please test it out?

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Updated] ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (21 preceding siblings ...)
  2021-04-07 15:47 ` ericonr
@ 2021-04-07 15:47 ` ericonr
  2021-04-07 17:48 ` paper42
                   ` (2 subsequent siblings)
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-04-07 15:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1582 bytes --]

There is an updated pull request by ericonr against master on the void-packages repository

https://github.com/ericonr/void-packages ell
https://github.com/void-linux/void-packages/pull/28488

ell 0.38 bluez 5.56
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/28488.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-ell-28488.patch --]
[-- Type: text/x-diff, Size: 5855 bytes --]

From e7075b9bddbd1ed54bed457d708f9cf39dd1155a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Thu, 4 Feb 2021 15:24:12 -0300
Subject: [PATCH 1/3] ell: update to 0.39.

Add warnings about ABI stability.
---
 common/shlibs        | 2 +-
 srcpkgs/ell/template | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 42f37d8a08bc..8ae3931ab654 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1005,7 +1005,7 @@ libgsm.so.1 libgsm-1.0.13_13
 libcgroup.so.1 libcgroup-0.37.1_1
 libxdg-basedir.so.1 libxdg-basedir-1.1.1_1
 libev.so.4 libev-4.04_1
-libell.so.0 ell-0.20_1
+libell.so.0 ell-0.38_1
 libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
diff --git a/srcpkgs/ell/template b/srcpkgs/ell/template
index 19634a337aa0..9c798a84e8ae 100644
--- a/srcpkgs/ell/template
+++ b/srcpkgs/ell/template
@@ -1,6 +1,7 @@
 # Template file for 'ell'
+# ell ABI isn't stable! Always test dependants after updates and update common/shlibs
 pkgname=ell
-version=0.36
+version=0.39
 revision=1
 build_style=gnu-configure
 configure_args="--enable-glib"
@@ -12,7 +13,7 @@ maintainer="Érico Nogueira <ericonr@disroot.org>"
 license="GPL-2.0-only"
 homepage="https://01.org/ell"
 distfiles="${KERNEL_SITE}/libs/${pkgname}/${pkgname}-${version}.tar.xz"
-checksum=2f99e743a235b1c834b19112e4e0283d02da93b863899381466cde47bf159cf6
+checksum=653e2e139e23ed31e03c56c05f15321a9e818e2dca00a315c18d2c7b72f15d08
 # tests depend on kernel features
 make_check=extended
 

From 003dcc9731a0cfc010f8044972e933cae2bc3b39 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:50 -0300
Subject: [PATCH 2/3] ofono: revbump for ell.

---
 srcpkgs/ofono/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ofono/template b/srcpkgs/ofono/template
index 16695994583a..248e58d9502d 100644
--- a/srcpkgs/ofono/template
+++ b/srcpkgs/ofono/template
@@ -1,7 +1,7 @@
 # Template file for 'ofono'
 pkgname=ofono
 version=1.31
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--disable-bluez4 --enable-external-ell"
 conf_files="/etc/ofono/phonesim.conf /etc/dbus-1/system.d/ofono.conf"

From ec33fdd8613dec2e7f5a70cb0e9835720a340379 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=89rico=20Rolim?= <erico.erc@gmail.com>
Date: Fri, 26 Feb 2021 17:19:43 -0300
Subject: [PATCH 3/3] bluez: update to 5.58.

Requested by paper42:
- add logging to services
- add experimental build option
---
 srcpkgs/bluez/files/bluetooth-meshd/log/run |  1 +
 srcpkgs/bluez/files/bluetooth-meshd/run     |  3 ++-
 srcpkgs/bluez/files/bluetoothd/log/run      |  1 +
 srcpkgs/bluez/files/bluetoothd/run          |  3 ++-
 srcpkgs/bluez/template                      | 12 +++++++-----
 5 files changed, 13 insertions(+), 7 deletions(-)
 create mode 120000 srcpkgs/bluez/files/bluetooth-meshd/log/run
 create mode 120000 srcpkgs/bluez/files/bluetoothd/log/run

diff --git a/srcpkgs/bluez/files/bluetooth-meshd/log/run b/srcpkgs/bluez/files/bluetooth-meshd/log/run
new file mode 120000
index 000000000000..3a5b4a586051
--- /dev/null
+++ b/srcpkgs/bluez/files/bluetooth-meshd/log/run
@@ -0,0 +1 @@
+/usr/bin/vlogger
\ No newline at end of file
diff --git a/srcpkgs/bluez/files/bluetooth-meshd/run b/srcpkgs/bluez/files/bluetooth-meshd/run
index 752dbcc37bf7..2594d5fe56e4 100755
--- a/srcpkgs/bluez/files/bluetooth-meshd/run
+++ b/srcpkgs/bluez/files/bluetooth-meshd/run
@@ -1,3 +1,4 @@
 #!/bin/sh
 sv check dbus >/dev/null || exit 1
-exec /usr/libexec/bluetooth/bluetooth-meshd --nodetach >/dev/null
+exec 2>&1
+exec /usr/libexec/bluetooth/bluetooth-meshd --nodetach
diff --git a/srcpkgs/bluez/files/bluetoothd/log/run b/srcpkgs/bluez/files/bluetoothd/log/run
new file mode 120000
index 000000000000..3a5b4a586051
--- /dev/null
+++ b/srcpkgs/bluez/files/bluetoothd/log/run
@@ -0,0 +1 @@
+/usr/bin/vlogger
\ No newline at end of file
diff --git a/srcpkgs/bluez/files/bluetoothd/run b/srcpkgs/bluez/files/bluetoothd/run
index 2b96adcdcdc6..860fa4bf80b3 100755
--- a/srcpkgs/bluez/files/bluetoothd/run
+++ b/srcpkgs/bluez/files/bluetoothd/run
@@ -1,3 +1,4 @@
 #!/bin/sh
 sv check dbus >/dev/null || exit 1
-exec /usr/libexec/bluetooth/bluetoothd -n >/dev/null
+exec 2>&1
+exec /usr/libexec/bluetooth/bluetoothd -n
diff --git a/srcpkgs/bluez/template b/srcpkgs/bluez/template
index 80fcf51c85a0..2130b7340580 100644
--- a/srcpkgs/bluez/template
+++ b/srcpkgs/bluez/template
@@ -1,11 +1,12 @@
 # Template file for 'bluez'
 pkgname=bluez
-version=5.55
+version=5.58
 revision=1
 build_style=gnu-configure
 configure_args="--with-udevdir=/usr/lib/udev --disable-systemd
  --enable-sixaxis --enable-threads --enable-library --enable-deprecated
- --enable-external-ell $(vopt_enable mesh) $(vopt_enable nfc)"
+ --enable-external-ell $(vopt_enable mesh) $(vopt_enable nfc)
+ $(vopt_enable experimental)"
 hostmakedepends="automake flex libtool pkg-config"
 makedepends="cups-devel eudev-libudev-devel libglib-devel libical-devel
  readline-devel ell-devel $(vopt_if mesh json-c-devel)"
@@ -14,19 +15,20 @@ maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="http://www.bluez.org/"
 distfiles="${KERNEL_SITE}/bluetooth/$pkgname-$version.tar.xz"
-checksum=8863717113c4897e2ad3271fc808ea245319e6fd95eed2e934fae8e0894e9b88
+checksum=c8065e75a5eb67236849ef68a354b1700540305a8c88ef0a0fd6288f19daf1f1
 conf_files="/etc/bluetooth/main.conf"
 system_groups="bluetooth"
-build_options="mesh nfc"
 patch_args="-Np1"
 
+build_options="mesh nfc experimental"
+
 if [ "$XBPS_TARGET_LIBC" = musl ]; then
 	makedepends+=" musl-legacy-compat"
 fi
 
 post_patch() {
 	# Use system ell
-	rm -rf ell/*
+	rm -r ell/*
 }
 
 pre_configure() {

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (22 preceding siblings ...)
  2021-04-07 15:47 ` [PR PATCH] [Updated] " ericonr
@ 2021-04-07 17:48 ` paper42
  2021-04-10 11:01 ` paper42
  2021-04-11  4:13 ` [PR PATCH] [Closed]: " ericonr
  25 siblings, 0 replies; 27+ messages in thread
From: paper42 @ 2021-04-07 17:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 207 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-815104418

Comment:
Thanks, I will try using this for a few days and report back soon.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (23 preceding siblings ...)
  2021-04-07 17:48 ` paper42
@ 2021-04-10 11:01 ` paper42
  2021-04-11  4:13 ` [PR PATCH] [Closed]: " ericonr
  25 siblings, 0 replies; 27+ messages in thread
From: paper42 @ 2021-04-10 11:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 231 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/28488#issuecomment-817118173

Comment:
I was able to test this only for a few hours before my hardware broke, but it worked fine.

^ permalink raw reply	[flat|nested] 27+ messages in thread

* Re: [PR PATCH] [Closed]: ell 0.38 bluez 5.56
  2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
                   ` (24 preceding siblings ...)
  2021-04-10 11:01 ` paper42
@ 2021-04-11  4:13 ` ericonr
  25 siblings, 0 replies; 27+ messages in thread
From: ericonr @ 2021-04-11  4:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1430 bytes --]

There's a closed pull request on the void-packages repository

ell 0.38 bluez 5.56
https://github.com/void-linux/void-packages/pull/28488

Description:
<!-- Mark items with [x] where applicable -->

#### General
- [ ] This is a new package and it conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements)

#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

<!--
If GitHub CI cannot be used to validate the build result (for example, if the
build is likely to take several hours), make sure to
[skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration).
When skipping CI, uncomment and fill out the following section.
Note: for builds that are likely to complete in less than 2 hours, it is not
acceptable to skip CI.
-->
<!-- 
#### Does it build and run successfully? 
(Please choose at least one native build and, if supported, at least one cross build. More are better.)
- [ ] I built this PR locally for my native architecture, (ARCH-LIBC)
- [ ] I built this PR locally for these architectures (if supported. mark crossbuilds):
  - [ ] aarch64-musl
  - [ ] armv7l
  - [ ] armv6l-musl
-->


^ permalink raw reply	[flat|nested] 27+ messages in thread

end of thread, other threads:[~2021-04-11  4:13 UTC | newest]

Thread overview: 27+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-02-04 18:24 [PR PATCH] ell: update to 0.37 ericonr
2021-02-04 18:29 ` [PR PATCH] [Updated] " ericonr
2021-02-04 18:49 ` [NOMERGE] nell: " ericonr
2021-02-04 18:58 ` ericonr
2021-02-05  2:00 ` [NOMERGE] ell: " sgn
2021-02-05  2:06 ` ericonr
2021-02-05  2:06 ` ericonr
2021-02-05  2:06 ` ericonr
2021-02-05  2:07 ` ericonr
2021-02-05  2:07 ` ericonr
2021-02-05  2:11 ` sgn
2021-02-05  2:13 ` sgn
2021-02-26 20:23 ` [PR PATCH] [Updated] " ericonr
2021-02-27  0:15 ` iwd 1.12 ell 0.38 bluez 5.56 sgn
2021-03-01 15:07 ` sgn
2021-03-01 15:09 ` sgn
2021-03-01 18:25 ` ericonr
2021-03-11 20:48 ` [PR PATCH] [Updated] " ericonr
2021-03-11 20:49 ` ericonr
2021-04-07 14:00 ` paper42
2021-04-07 14:15 ` paper42
2021-04-07 15:46 ` [PR PATCH] [Updated] " ericonr
2021-04-07 15:47 ` ericonr
2021-04-07 15:47 ` [PR PATCH] [Updated] " ericonr
2021-04-07 17:48 ` paper42
2021-04-10 11:01 ` paper42
2021-04-11  4:13 ` [PR PATCH] [Closed]: " ericonr

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git